summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian Pipping <sping@gentoo.org>2016-09-24 12:35:59 +0200
committerSebastian Pipping <sping@gentoo.org>2016-09-24 12:50:31 +0200
commitf00f451b2ebbf824b57d8db40cf2d619977c73bc (patch)
treea6896ddbd5dbb513de825fee05b88bdb40e52ad6 /games-board/gnuchess-book
parentapp-portage/euscan: add Maintainer (diff)
downloadgentoo-f00f451b2ebbf824b57d8db40cf2d619977c73bc.tar.gz
gentoo-f00f451b2ebbf824b57d8db40cf2d619977c73bc.tar.bz2
gentoo-f00f451b2ebbf824b57d8db40cf2d619977c73bc.zip
games-board/gnuchess-book: gnuchess no longer uses games eclass (bug #594916)
Package-Manager: portage-2.3.0
Diffstat (limited to 'games-board/gnuchess-book')
-rw-r--r--games-board/gnuchess-book/gnuchess-book-1.02-r1.ebuild29
-rw-r--r--games-board/gnuchess-book/gnuchess-book-1.02.ebuild4
2 files changed, 31 insertions, 2 deletions
diff --git a/games-board/gnuchess-book/gnuchess-book-1.02-r1.ebuild b/games-board/gnuchess-book/gnuchess-book-1.02-r1.ebuild
new file mode 100644
index 00000000000..7e2cbc51f24
--- /dev/null
+++ b/games-board/gnuchess-book/gnuchess-book-1.02-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Opening book for gnuchess"
+HOMEPAGE="https://www.gnu.org/software/chess/chess.html"
+SRC_URI="mirror://gnu/chess/book_${PV}.pgn.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+RESTRICT="userpriv" # bug #112898
+
+DEPEND=">=games-board/gnuchess-6.2.3"
+RDEPEND=${DEPEND}
+
+S=${WORKDIR}
+
+src_compile() {
+ gnuchess --addbook=book_${PV}.pgn || die
+}
+
+src_install() {
+ insinto /usr/share/gnuchess
+ doins book.bin
+}
diff --git a/games-board/gnuchess-book/gnuchess-book-1.02.ebuild b/games-board/gnuchess-book/gnuchess-book-1.02.ebuild
index f89a607cd08..a2ba6761040 100644
--- a/games-board/gnuchess-book/gnuchess-book-1.02.ebuild
+++ b/games-board/gnuchess-book/gnuchess-book-1.02.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -15,7 +15,7 @@ KEYWORDS="amd64 ppc ppc64 x86"
IUSE=""
RESTRICT="userpriv" # bug #112898
-DEPEND=">=games-board/gnuchess-6"
+DEPEND="<games-board/gnuchess-6.2.3"
RDEPEND=${DEPEND}
S=${WORKDIR}